#include "types/DmlResults.h"

namespace VectorDB {

const IDArray& DmlResults::IdArray() const { return id_array_; }

void DmlResults::SetIdArray(const IDArray& id_array) { id_array_ = id_array; }

void DmlResults::SetIdArray(IDArray&& id_array) { id_array_ = std::move(id_array); }

uint64_t DmlResults::Timestamp() const { return timestamp_; }

void DmlResults::SetTimestamp(uint64_t timestamp) { timestamp_ = timestamp; }

}  // namespace VectorDB
