#include "Database.h"
#ifndef ENABLE_SW_ARCH

#include "MilvusClientImpl.h"

using namespace VectorDB;

std::shared_ptr<Database> VectorDB::Database::Create() { return std::make_shared<MilvusClientImpl>(); }

#else
#include "SwClientImpl.h"

using namespace VectorDB;

std::shared_ptr<Database> VectorDB::Database::Create() { return std::make_shared<SwClientImpl>(); }
#endif
